package com.ruoyi.app.service.impl;

import com.ruoyi.app.domain.AppGoodsType;
import com.ruoyi.app.mapper.AppGoodsTypeMapper;
import com.ruoyi.app.service.IAppGoodsTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 物料类别管理Service业务层处理
 *
 * @author ruoyi
 * @date 2025-03-04
 */
@Service
public class AppGoodsTypeServiceImpl implements IAppGoodsTypeService {
    @Autowired
    private AppGoodsTypeMapper appGoodsTypeMapper;

    /**
     * 查询物料类别管理
     *
     * @param typeId 物料类别管理主键
     * @return 物料类别管理
     */
    @Override
    public AppGoodsType selectAppGoodsTypeByTypeId(Long typeId) {
        return appGoodsTypeMapper.selectAppGoodsTypeByTypeId(typeId);
    }

    /**
     * 查询物料类别管理列表
     *
     * @param appGoodsType 物料类别管理
     * @return 物料类别管理
     */
    @Override
    public List<AppGoodsType> selectAppGoodsTypeList(AppGoodsType appGoodsType) {
        return appGoodsTypeMapper.selectAppGoodsTypeList(appGoodsType);
    }

    /**
     * 新增物料类别管理
     *
     * @param appGoodsType 物料类别管理
     * @return 结果
     */
    @Override
    public int insertAppGoodsType(AppGoodsType appGoodsType) {
        return appGoodsTypeMapper.insertAppGoodsType(appGoodsType);
    }

    /**
     * 修改物料类别管理
     *
     * @param appGoodsType 物料类别管理
     * @return 结果
     */
    @Override
    public int updateAppGoodsType(AppGoodsType appGoodsType) {
        return appGoodsTypeMapper.updateAppGoodsType(appGoodsType);
    }

    /**
     * 批量删除物料类别管理
     *
     * @param typeIds 需要删除的物料类别管理主键
     * @return 结果
     */
    @Override
    public int deleteAppGoodsTypeByTypeIds(Long[] typeIds) {
        return appGoodsTypeMapper.deleteAppGoodsTypeByTypeIds(typeIds);
    }

    /**
     * 删除物料类别管理信息
     *
     * @param typeId 物料类别管理主键
     * @return 结果
     */
    @Override
    public int deleteAppGoodsTypeByTypeId(Long typeId) {
        return appGoodsTypeMapper.deleteAppGoodsTypeByTypeId(typeId);
    }
}
